> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dolfinai.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Gmail connections

> Returns all non-revoked Gmail connections for the active organisation, newest first.



## OpenAPI

````yaml /api-reference/openapi.json get /gmail-connections
openapi: 3.1.1
info:
  title: Dolfin API
  description: >-
    Dolfin API for AR & AP. Authenticate using the `x-dolfin-api-key` header
    with the API key distributed to your organisation.
  version: v1
servers:
  - url: https://api.dolfinai.co
    description: Production
security:
  - {}
tags:
  - name: Webhooks
  - name: Users
  - name: TaxRates
  - name: Suppliers
  - name: Supplier Credit Notes
  - name: Bills
  - name: SpendCategories
  - name: Payables
  - name: RecurringInvoices
  - name: Receivables
  - name: Purchase Orders
  - name: Products
  - name: Payments
  - name: Invoices
  - name: Organisations
  - name: Members
  - name: MCP
  - name: Matching
  - name: Invoice Reminders
  - name: Industries
  - name: Gmail
  - name: Delivery Notes
  - name: Customers
  - name: Currencies
  - name: Credit Notes
  - name: Clients
  - name: ClientInvites
  - name: BankPayments
  - name: Bank details
  - name: Auth
  - name: ApprovalPolicies
  - name: ApiKeys
  - name: Agent
paths:
  /gmail-connections:
    get:
      tags:
        - Gmail
      summary: List Gmail connections
      description: >-
        Returns all non-revoked Gmail connections for the active organisation,
        newest first.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GmailConnectionResponse'
components:
  schemas:
    GmailConnectionResponse:
      required:
        - id
        - emailAddress
        - status
        - createdAt
      type: object
      properties:
        id:
          type: string
          format: uuid
        emailAddress:
          type: string
        status:
          $ref: '#/components/schemas/GmailConnectionStatus'
        lastSyncedAt:
          type:
            - 'null'
            - string
          format: date-time
        backfilledSince:
          type:
            - 'null'
            - string
          format: date-time
        backfilledUntil:
          type:
            - 'null'
            - string
          format: date-time
        createdAt:
          type: string
          format: date-time
    GmailConnectionStatus:
      enum:
        - Connected
        - NeedsReauth
        - Revoked
        - Backfilling
        - Pending

````